Díl Šroubovice
|
Umístění Menu |
---|
Díl → Vytváření zákl.geom.tvarů → Šroubovice |
Pracovní stoly |
Díl, OpenSCAD |
Výchozí zástupce |
Nikdo |
Představen ve verzi |
- |
Viz také |
.. |
Popis
Na této stránce je vysvětleno jak editovat základní parametry šroubovice. Kliknete na ikonu Základní geometrické tvary a na ikonu šroubovice
v rozbalovacím menu pro editování parametrů vytvářené šroubovice. Když jse nastavili všechny parametry, kliknete na tlačítko "Vytvořit" pro vykraeslení šroubovice. Once you have edited all the parameters click the button "create" to draw the helix.
A Part Helix is a parametric shape that can be created with the
Part Primitives command. In the coordinate system defined by its ÚdajePlacement property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.
Usage
See Part Primitives.
Example

A Part Helix object created with the scripting example below is shown here.
Notes
- A Part Helix can be used to create screw threads. See Thread for Screw Tutorial.
Properties
See also: Property editor.
A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Coordinate System
- ÚdajeLocal Coord (
Enumeration
): The handedness, or direction, of the helix:Right-handed
orLeft-handed
. The default isRight-handed
, meaning the helix turns counterclockwise as it goes up.
Helix
- ÚdajePitch (
Length
): The distance between two consecutive turns of the helix measured along its Z axis. The default is1mm
. - ÚdajeHeight (
Length
): The height of the helix. The default is2mm
. - ÚdajeRadius (
Length
): The start radius of the helix. The helix has a constant radius if ÚdajeAngle is0°
. - ÚdajeSegment Length (
QuantityConstraint
): The number of turns per helix subdivision. The default is1
, meaning each full turn of the helix is a separate segment. Use0
to suppress subdivision. - ÚdajeAngle (
Angle
): The angle that defines of the outer shape of the helix. Valid range:-90° < value < 90°
. The default is0°
. If it is0°
the helix is cylindrical, else it is conical.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Helix can be created with the addObject()
method of the document:
helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
- Where
"myHelix"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub